HFST-GUESS(1)

NAME
hfst-guess - =Use a guesser (and generator) to guess analyses or inflectional

SYNOPSIS
hfst-guess [OPTIONS...] [INFILE]

DESCRIPTION
Use a guesser (and generator) to guess analyses or inflectional paradigms of unknown words.

  Common options:

-h, --help
    Print help message

-V, --version
    Print version info

-v, --verbose
    Print verbosely while processing

-q, --quiet
    Only print fatal erros and requested output

-s, --silent
    Alias of --quiet

  Input/Output options:

-i, --input=INFILE
    Read input transducer from INFILE

-o, --output=OUTFILE
    Write output transducer to OUTFILE

  Guesser options:

-f, --model-form-filename
    Inflectional information for generated model forms is read from this file.

-n, --max-number-of-guesses
    Maximal number of analysis per word form (5 by default).

-m  --max-number-of-forms
    Maximal number of generated model forms per guess (2 by default).

-g  --generate-threshold
    Generate only forms whose weight is better than the weight of the of the best form plus this threshold. (50 by default).

The guesser and generator should be constructed using the tool hfst-guessify, which can compile a guesser and generator from a morphological analyzer. hfst-guessify packages the guesser and generator in the same fst-file.

If option -f is used, but a generator has not been compiled with the guesser, a generator will be compiled, which will increase load time.

If OUTFILE or INFILE is missing or -, standard streams will be used.

REPORTING BUGS
Report bugs to <hfst-bugs@helsinki.fi> or directly to our bug tracker at: <https://github.com/hfst/hfst/issues>

hfst-guess home page: <https://kitwiki.csc.fi/twiki/bin/view/KitWiki//HfstGuess>
General help using HFST software: <https://kitwiki.csc.fi/twiki/bin/view/KitWiki//HfstHome>

COPYRIGHT
Copyright © 2017 University of Helsinki, License GPLv3: GNU GPL version 3 <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.